package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.PracticeGroupType;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;
import com.ym.mec.biz.dal.entity.CourseSchedule.CourseScheduleType;

/**
 * 课次评论
 */
public class CourseReviewQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "分部id",required = false)
    private String organId;

    @ApiModelProperty(value = "分部id",required = false)
    private Integer subjectId;

    @ApiModelProperty(value = "指导老师id",required = false)
    private Integer teacherId;

    @ApiModelProperty(value = "教务老师id",required = false)
    private Integer eduTeacherId;

    @ApiModelProperty(value = "是否免费 1-免费 0收费",required = false)
    private Integer isFree;

    private PracticeGroupType practiceGroupType;

    @ApiModelProperty(value = "学生评价",required = false)
    private Integer studentReview;

    @ApiModelProperty(value = "是否评价 1-评价 0未评价",required = false)
    private Integer hasReview;

    @ApiModelProperty(value = "是否布置作业")
    private Integer assignHomework;

    @ApiModelProperty(value = "是否提价作业 1-提交 0未提交",required = false)
    private Integer hasHandHomework;

    @ApiModelProperty(value = "是否完成双向沟通 1-是 0-否",required = false)
    private Integer hasLiaison;

    @ApiModelProperty(value = "教务评价",required = false)
    private String courseReview;

    @ApiModelProperty(value = "开始时间",required = false)
    private String startTime;

    @ApiModelProperty(value = "结束时间",required = false)
    private String endTime;

    @ApiModelProperty(value = "是否导出",required = false)
    private Integer isExport;

    @ApiModelProperty(value = "是否到课",required = false)
    private Integer hasArrived;

    @ApiModelProperty(value = "作业是否回复",required = false)
    private Integer homeWorkReplied;

    @ApiModelProperty(value = "课程类型",required = false)
    private CourseScheduleType type;

    public PracticeGroupType getPracticeGroupType() {
        return practiceGroupType;
    }

    public void setPracticeGroupType(PracticeGroupType practiceGroupType) {
        this.practiceGroupType = practiceGroupType;
    }

    public Integer getAssignHomework() {
        return assignHomework;
    }

    public void setAssignHomework(Integer assignHomework) {
        this.assignHomework = assignHomework;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }


    public Integer getIsFree() {
        return isFree;
    }

    public void setIsFree(Integer isFree) {
        this.isFree = isFree;
    }


    public Integer getEduTeacherId() {
        return eduTeacherId;
    }

    public void setEduTeacherId(Integer eduTeacherId) {
        this.eduTeacherId = eduTeacherId;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public Integer getStudentReview() {
        return studentReview;
    }

    public void setStudentReview(Integer studentReview) {
        this.studentReview = studentReview;
    }

    public Integer getHasReview() {
        return hasReview;
    }

    public void setHasReview(Integer hasReview) {
        this.hasReview = hasReview;
    }

    public Integer getHasHandHomework() {
        return hasHandHomework;
    }

    public void setHasHandHomework(Integer hasHandHomework) {
        this.hasHandHomework = hasHandHomework;
    }

    public String getCourseReview() {
        return courseReview;
    }

    public void setCourseReview(String courseReview) {
        this.courseReview = courseReview;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Integer getHasLiaison() {
        return hasLiaison;
    }

    public void setHasLiaison(Integer hasLiaison) {
        this.hasLiaison = hasLiaison;
    }

    public Integer getIsExport() {
        return isExport;
    }

    public void setIsExport(Integer isExport) {
        this.isExport = isExport;
    }

    public Integer getHasArrived() {
        return hasArrived;
    }

    public void setHasArrived(Integer hasArrived) {
        this.hasArrived = hasArrived;
    }

    public Integer getHomeWorkReplied() {
        return homeWorkReplied;
    }

    public void setHomeWorkReplied(Integer homeWorkReplied) {
        this.homeWorkReplied = homeWorkReplied;
    }

    public CourseScheduleType getType() {
        return type;
    }

    public void setType(CourseScheduleType type) {
        this.type = type;
    }
}
